@charset "utf-8";
/* CSS Document */

/* ==================================================
02: common
================================================== */
:root {
  --height_header: 0px;
  --height_fix_footer: 0px;
  --section: 100px;

  --base_width: 1200px;
  --base_color: #5e6165;
  --base_bg: #f1efeb;

  --c_main: #88909b;
  --c_sub: #4a4d51;
  --c_acc: #2f5a8e;

  --ff_jp01: "Zen Kaku Gothic New";
  --ff_jp02: "Shippori Mincho B1";
  /* --font_en: "設定", sans-serif; */
  --icons: "Material Symbols Outlined";

  --transition: 0.3s;
}
@media (max-width: 520px) {
  :root {
    --section: 50px;
    --base_width: 100%;
  }
}

a[href=""] {
  pointer-events: all;
}

/* ----------------------------------------
common
---------------------------------------- */
body {
  padding-top: var(--height_header);
}
@media (max-width: 520px) {
  body {
    padding-bottom: var(--height_fix_footer);
  }
}

body .w620 {
  width: min(90%, 620px);
  margin-inline: auto;
}
body .w980 {
  width: min(90%, 980px);
  margin-inline: auto;
}

.sec_margin {
  margin: var(--section) auto;
}
.sec_padding {
  padding: var(--section) 0;
}

/* figure,img */
img {
  object-fit: cover;
}
.of_cont img,
img.of_cont {
  object-fit: contain;
}

/* [class*="grid_"] 等分 */
[class*="grid_"] {
  --gap: 50px;
  display: grid;
  grid-template-columns: repeat(var(--grid), 1fr);
  gap: var(--gap);
}
.grid_2c {
  --grid: 2;
}
.grid_3c {
  --grid: 3;
}
.grid_4c {
  --grid: 4;
}
@media (max-width: 520px) {
  [class*="grid_"] {
    --gap: 30px;
    --grid: 1;
  }
  [class*="grid_"].sp_2c {
    --grid: 2;
  }
}

/* .box_2c 按分 */
.box_2c {
  --gap: 50px;
  --box: 30% 1fr;
  display: grid;
  grid-template-columns: var(--box);
  align-items: flex-start;
  gap: var(--gap);
}
@media (min-width: 521px) {
  .box_2c.reverse > *:first-child {
    order: 1;
  }
}
@media (max-width: 520px) {
  .box_2c {
    --gap: 30px;
    grid-template-columns: 1fr;
  }
}

/* .dist_ */
[class*="dist_"] {
  display: grid;
  grid-template-columns: minmax(0, 1fr);
  gap: var(--distance);
}
.dist_10 {
  --distance: 10px;
}
.dist_20 {
  --distance: var(--margin20);
}
.dist_30 {
  --distance: var(--margin30);
}
.dist_40 {
  --distance: var(--margin40);
}
.dist_50 {
  --distance: var(--margin50);
}
.dist_100 {
  --distance: var(--margin100);
}

/* ----------------------------------------
font
---------------------------------------- */
@media (max-width: 520px) {
  body .fs16 {
    font-size: 1.3rem;
  }
  body .fs18 {
    font-size: 1.4rem;
  }
  body .fs20,
  body .fs22 {
    font-size: 1.6rem;
  }
  body .fs24,
  body .fs26 {
    font-size: 1.8rem;
  }
  body .fs28,
  body .fs30 {
    font-size: 2rem;
  }
  body .fs35 {
    font-size: 2.2rem;
  }
  body .fs40 {
    font-size: 2.4rem;
  }
  body .fs45 {
    font-size: 2.6rem;
  }
  body .fs50 {
    font-size: 2.8rem;
  }
}

.ff_jp02 {
  font-family: var(--ff_jp02);
}

/* color */
.fc_wht {
  color: #fff;
}
.fc_acc {
  color: var(--c_acc);
}

/* ----------------------------------------
background
---------------------------------------- */
.bg_wht {
  background-color: #fff;
}
.bg_main {
  background-color: var(--c_main);
}
.bg_main_10 {
  background-color: color-mix(in srgb, var(--c_main) 10%, #fff);
}

/* .bg_pattern */
.bg_pattern {
  position: relative;
  padding-bottom: 80px;
}
.bg_pattern::before {
  content: "";
  position: absolute;
  z-index: -1;
  inset: 0px;
  top: 100px;
  right: max(15%, calc((100vw - var(--base_width)) / 2));
  background-color: #fff;
}
@media (max-width: 520px) {
  .bg_pattern {
    padding-bottom: 40px;
  }
}

/* .bg_img */
*:has(> .bg_img) {
  position: relative;
}
.bg_img {
  position: absolute;
  z-index: -1;
  inset: 0;
}
.bg_img.multiply::before {
  content: "";
  position: absolute;
  inset: 0px;
  background-color: rgb(from var(--c_sub) r g b / 0.9);
  mix-blend-mode: multiply;
}

/* ----------------------------------------
[class*="btn_"]
---------------------------------------- */
[class*="btn_"] {
  -webkit-appearance: none;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  min-width: var(--size);
  width: fit-content;
  min-height: 70px;
  margin: 0px auto;
  padding: 20px;
  font-size: 1.6rem;
  font-family: var(--ff_jp02);
  color: var(--btn_color);
  background-color: var(--btn_bg);
  border: 1px solid var(--btn_color);
}
[class*="btn_"]:hover {
  opacity: 1;
  color: var(--btn_bg);
  background-color: var(--btn_color);
  border: 1px solid var(--btn_bg);
}
[class*="btn_"] p {
  flex: 1;
}
@media (max-width: 520px) {
  [class*="btn_"] {
    min-width: auto;
    width: 90%;
  }
  [class*="btn_"].ml0 {
    margin-left: auto;
  }
}

/* [class*="btn_"].L.R */
[class*="btn_"].L::before,
[class*="btn_"].R::after {
  --size: 1.8em;
  --mask: url(../images/icon_arrow.svg) center center / contain no-repeat;
  content: "";
  display: block;
  width: var(--size);
  height: auto;
  aspect-ratio: 1 / 1;
  -webkit-mask: var(--mask);
  mask: var(--mask);
  background-color: currentColor;
}

/* [class*="btn_"] p */
[class*="btn_"] p::before,
[class*="btn_"] p::after {
  display: block;
  width: var(--size);
  height: auto;
  aspect-ratio: 1 / 1;
  -webkit-mask: var(--mask);
  mask: var(--mask);
  background-color: currentColor;
}

/* .btn_A */
.btn_A {
  --btn_color: var(--base_color);
  --btn_bg: transparent;
}
.btn_A:hover {
  --btn_bg: #fff;
}

/* .btn_contact */
.btn_contact {
  --btn_color: #fff;
  --btn_bg: transparent;
}
.btn_contact:hover {
  --btn_bg: var(--base_color);
}
.btn_contact p {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
}
.btn_contact p::before {
  --size: 1.8em;
  --mask: url(../images/icon_mail.svg) center center / contain no-repeat;
  content: "";
}

/* .link_tel */
.link_tel p {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 5px;
}
.link_tel p::before {
  --size: 0.8em;
  --mask: url(../images/icon_tel.svg) center center / contain no-repeat;
  content: "";
  display: block;
  width: var(--size);
  height: auto;
  aspect-ratio: 1 / 1;
  -webkit-mask: var(--mask);
  mask: var(--mask);
  background-color: currentColor;
}

/* ----------------------------------------
.tit
---------------------------------------- */
/* .titA */
.titA {
  font-size: 1.6rem;
  font-family: var(--ff_jp02);
  text-align: center;
}
.titA span.jp {
  display: block;
  font-size: 1.8em;
}
@media (max-width: 520px) {
  .titA span.jp {
    font-size: 1.5em;
  }
}

/* .titB */
.titB {
  display: grid;
  grid-template-columns: auto 1fr;
  align-items: center;
  gap: 10px;
  padding-bottom: 10px;
  font-family: var(--ff_jp02);
  border-bottom: 1px solid;
}
.titB::before {
  content: "";
  display: block;
  width: 1em;
  height: auto;
  aspect-ratio: 1 / 1;
  background-color: var(--color);
}

/* .titC */
.titC {
  padding-bottom: 10px;
  font-family: var(--ff_jp02);
  border-bottom: 1px solid;
}

/* ----------------------------------------
.richtext
---------------------------------------- */
.richtext {
  display: grid;
  grid-template-columns: minmax(0, 1fr);
  gap: 10px;
}
.richtext a:not([href^="tel"]) {
  text-decoration: underline;
  color: var(--c_acc);
}
.richtext a:not([href^="tel"]):hover {
  text-decoration: none;
}
.richtext em {
  color: var(--c_acc);
}

/* ----------------------------------------
.card_
---------------------------------------- */
.card_A {
  --gap: 60px;
  --box: 53% 1fr;
}
@media (max-width: 520px) {
  .card_A {
    --gap: 30px;
  }
}

/* ----------------------------------------
[class*="note_"]
---------------------------------------- */
.note_A {
  padding: 30px 40px;
}
.note_A dt {
  display: grid;
  grid-template-columns: auto 1fr;
  align-items: center;
  gap: 20px;
  padding-bottom: 10px;
  font-family: var(--ff_jp02);
  border-bottom: 1px solid;
}
.note_A dt::before {
  content: "";
  display: block;
  width: 50px;
  height: auto;
  aspect-ratio: 1 / 1;
  background: var(--img) center center / contain no-repeat;
}
.note_A dd {
  margin-top: 20px;
}
@media (max-width: 520px) {
  .note_A {
    padding: 20px;
  }
}

.note_B {
  padding: 30px;
}
.note_B .figure {
  height: 188px;
}

/* ----------------------------------------
[class*="table_"]
---------------------------------------- */
[class*="table_"] {
  --width: 30%;
  --padding: 20px;
  --border: 1px solid var(--c_main);
}
[class*="table_"] table {
  width: 100%;
  text-align: left;
  border-top: var(--border);
}
[class*="table_"] :is(th, td) {
  border-bottom: var(--border);
  padding: var(--padding);
}
[class*="table_"] th {
  width: var(--width);
}
@media screen and (max-width: 520px) {
  [class*="table_"] :is(table, tbody, tr, th, td) {
    display: block;
    width: 100%;
  }
  [class*="table_"] th {
    padding-bottom: 0;
    border-bottom: none;
  }
}

/* .table_A */
.table_A {
  --width: 30%;
}
.table_A th {
  font-size: 1.6rem;
  font-family: var(--ff_jp02);
}
